Package org.eclipse.rdf4j.query.algebra

## Class Load

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.Load

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `UpdateExpr`, `VariableScopeChange`

      public class Load
      extends AbstractQueryModelNode
      implements UpdateExpr

  Author:
    jeen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Load​(ValueConstant source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Load` | `clone()` | Returns a (deep) clone of this query model node.
    `boolean` | `equals​(Object other)` | Returns true if this query model node and its children are recursively equal to o and its children.
    `ValueConstant` | `getGraph()` |
    `ValueConstant` | `getSource()` |
    `int` | `hashCode()` |
    `boolean` | `isSilent()` |
    `void` | `replaceChildNode​(QueryModelNode current, QueryModelNode replacement)` | Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that current is not a child node of this node.
    `void` | `setGraph​(ValueConstant graph)` |
    `void` | `setSilent​(boolean silent)` |
    `void` | `setSource​(ValueConstant source)` |
    `<X extends Exception> void` | `visit​(QueryModelVisitor<X> visitor)` | Visits this node.
    `<X extends Exception> void` | `visitChildren​(QueryModelVisitor<X> visitor)` | Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing.

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Constructor Detail

    - #### Load

          public Load​(ValueConstant source)

  - ### Method Detail

    - #### visit

          public <X extends Exception> void visit​(QueryModelVisitor<X> visitor)
                                           throws X extends Exception

      Description copied from interface: `QueryModelNode`
      Visits this node. The node reports itself to the visitor with the proper runtime type.
      Specified by:
        `visit` in interface `QueryModelNode`
      Throws:
        `X extends Exception`

    - #### visitChildren

          public <X extends Exception> void visitChildren​(QueryModelVisitor<X> visitor)
                                                   throws X extends Exception

      Description copied from class: `AbstractQueryModelNode`
      Dummy implementation of `QueryModelNode.visitChildren(org.eclipse.rdf4j.query.algebra.QueryModelVisitor<X>)` that does nothing. Subclasses should override this method when they have child nodes.
      Specified by:
        `visitChildren` in interface `QueryModelNode`
      Overrides:
        `visitChildren` in class `AbstractQueryModelNode`
      Throws:
        `X extends Exception`

    - #### replaceChildNode

          public void replaceChildNode​(QueryModelNode current,
                                       QueryModelNode replacement)

      Description copied from class: `AbstractQueryModelNode`
      Default implementation of `QueryModelNode.replaceChildNode(QueryModelNode, QueryModelNode)` that throws an `IllegalArgumentException` indicating that current is not a child node of this node.
      Specified by:
        `replaceChildNode` in interface `QueryModelNode`
      Overrides:
        `replaceChildNode` in class `AbstractQueryModelNode`
      Parameters:
        `current` - The current child node.
        `replacement` - The new child node.

    - #### equals

          public boolean equals​(Object other)

      Description copied from interface: `QueryModelNode`
      Returns true if this query model node and its children are recursively equal to o and its children.
      Specified by:
        `equals` in interface `QueryModelNode`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### clone

          public Load clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `UpdateExpr`
      Overrides:
        `clone` in class `AbstractQueryModelNode`
      Returns:
        A deep clone of this query model node.

    - #### setGraph

          public void setGraph​(ValueConstant graph)

      Parameters:
        `graph` - The graph to set.

    - #### getGraph

          public ValueConstant getGraph()

      Returns:
        Returns the graph.

    - #### setSource

          public void setSource​(ValueConstant source)

      Parameters:
        `source` - The source to set.

    - #### getSource

          public ValueConstant getSource()

      Returns:
        Returns the source.

    - #### setSilent

          public void setSilent​(boolean silent)

      Parameters:
        `silent` - The silent to set.

    - #### isSilent

          public boolean isSilent()

      Specified by:
        `isSilent` in interface `UpdateExpr`
      Returns:
        Returns the silent.